Bug 826563 - Review Request: fuelmanager - keep track of your fuel mileage and consumption
Review Request: fuelmanager - keep track of your fuel mileage and consumption
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nick Bebout
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 10:00 EDT by kc8hfi
Modified: 2012-07-19 05:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-06 17:26:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nb: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description kc8hfi 2012-05-30 10:00:45 EDT
Spec URL: http://sourceforge.net/projects/fuelmanager/files/fuelmanager.spec/download
SRPM URL: http://sourceforge.net/projects/fuelmanager/files/fuelmanager-0.3.6-5.fc16.src.rpm/download
Description: This is a handy fuel manager application. It keeps track of 4 things, miles, gallons, cost, and the date of each fillup. The program will generate monthly and yearly summaries of miles driven, cost of fuel, how many gallons, and fuel mileage.
Fedora Account System Username:kc8hfi

This is my first package and I need a sponsor.
Comment 1 kc8hfi 2012-05-31 14:55:30 EDT
The SRPM link is incorrect, it should be:
http://sourceforge.net/projects/fuelmanager/files/fuelmanager-0.3.6-5.fc15.src.rpm/download
Comment 3 kc8hfi 2012-06-19 13:37:38 EDT
Scratch build 
http://koji.fedoraproject.org/koji/taskinfo?taskID=4178008
Comment 4 Fabian Affolter 2012-06-19 15:15:36 EDT
Just some quick comments: 

- You are mixing macro and variable style
- The numbering in your changelog needs a reset when updating the package
- defattr is no longer needed
- hicolor-icon-theme is a requirement
- Working with wildcards in your %files section will make your life easier in the future when updating the package
Comment 5 kc8hfi 2012-06-21 16:27:14 EDT
New Spec URL:  http://kc8hfi.fedorapeople.org/fuelmanager.spec
New SRPM URL:  http://kc8hfi.fedorapeople.org/fuelmanager-0.3.7-1.fc17.src.rpm

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4184879

1.  removed the defattr
2.  added hicolor-icon-theme to build requirements
3.  using more wildcards in %files

I think I've moved everything to one style, instead of mixing macro and variable.
Comment 6 Nick Bebout 2012-06-21 19:31:05 EDT
Please fix your sources, the md5sum of the tarball in your srpm and the file at the url in Source0 do not match.

Everything else looks good now, except for you don't need to add gcc-c++ to BuildRequires, it's on the list of exceptions.

With these changes, this package is APPROVED.

I have sponsored you into the packager group, congratulations!
Comment 7 kc8hfi 2012-06-22 21:46:56 EDT
New Package SCM Request
=======================
Package Name: fuelmanager
Short Description: keep track of fuel mileage
Owners: kc8hfi
Branches: f16 f17
InitialCC:
Comment 8 Gwyn Ciesla 2012-06-22 21:54:38 EDT
SCM request package name and Bug summary package name don't match, please
fix.  Preferably fuelmanager.
Comment 9 kc8hfi 2012-06-22 22:17:23 EDT
New Package SCM Request
=======================
Package Name: fuelmanager
Short Description: keep track of fuel mileage
Owners: kc8hfi
Branches: f16 f17
InitialCC:
Comment 10 Fabian Affolter 2012-06-23 04:26:24 EDT
(In reply to comment #5)
> 2.  added hicolor-icon-theme to build requirements

Your package requires 'hicolor-icon-theme' because of the directory ownership. 'hicolor-icon-theme' is not a BR
Comment 11 Gwyn Ciesla 2012-06-23 11:39:59 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2012-06-24 11:07:57 EDT
fuelmanager-0.3.7-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fuelmanager-0.3.7-2.fc17
Comment 13 Fedora Update System 2012-06-24 11:08:55 EDT
fuelmanager-0.3.7-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fuelmanager-0.3.7-2.fc16
Comment 14 Fedora Update System 2012-06-25 20:48:48 EDT
fuelmanager-0.3.7-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 15 Fedora Update System 2012-06-27 17:17:14 EDT
fuelmanager-0.3.7-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fuelmanager-0.3.7-3.fc17
Comment 16 Fedora Update System 2012-06-27 18:11:42 EDT
fuelmanager-0.3.7-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fuelmanager-0.3.7-3.fc16
Comment 17 Fedora Update System 2012-07-06 17:26:33 EDT
fuelmanager-0.3.7-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2012-07-19 05:04:46 EDT
fuelmanager-0.3.7-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.